/* GetMovie.js

 The purpose of this file is setting up communication from JavaScript to SpicyNodes.
 sets reference for flashMovie variable to the embedded SpicyNodes movie.
 
 It also inits tracking of currently selected node data by attaching a reference of the current node object to currentSelected varaible.
 
*/

// @spicynodesMovie stores a reference to the embeddes spicynodes movie.
var spicynodesMovie;

// @currentSelected is updated in onSNAnimationStart() and stores currently selected node data (object).
var currentSelected;

function getFlashMovie(movieName) {
  var isIE = navigator.appName.indexOf("Microsoft") != -1;
  return (isIE) ? window[movieName] : document[movieName];
}

// initializeMessages() - is invoked with 'onLoad' event in the HTML file <BODY> tag.
function initializeMessages(movieName) {
	spicynodesMovie = getFlashMovie(movieName);
}
